//
// QPerforce is a gui interface to the perforce revision control
// system. It is based on the qt library, and should be easily portable
// across any platform that has this toolkit available.
// 
// Copyright (C) 2002 Jacob Gladish
//
#include "ConfigOptions.h"


ConfigOptions* ConfigOptions::_instance = 0;

ConfigOptions* ConfigOptions::getInstance()
{
  if (_instance == 0) {
    _instance = new ConfigOptions();
  }

  return _instance;
}

ConfigOptions::ConfigOptions()
{
  memset( &_connection, 0, sizeof(Connection) );
  memset( &_display, 0, sizeof(Display) );
  memset( &_doubleClickOption, 0, sizeof(DoubleClickOption) );
}

ConfigOptions::~ConfigOptions()
{

}

bool ConfigOptions::showP4Commands()
{
  return _display._showP4CommandsInStatusPane;
}


//========================================================================
// Display Options
//


//========================================================================
// General Application Internal Options
//
ConfigOptions::Application::Application() :
  _imageDir( "../images" )
{

}

  
//========================================================================
// P4Environment configuration
//
ConfigOptions::P4Environment::P4Environment()
{
  // TODO: change this!
  _currClientName = "qtperforce";
}


  